<?php

//禁止直接访问
!defined('IN_SYSTEM') && exit('Access Denied');

if(isset($_GET['id'])){
	$UserId = $_GET['id'];	//过滤方法待写
	//连接到MYSQL并打开系统数据库
	$DataBase->open_db();
	//查询管理员信息
	$DataBase->sel('adminuser', "WHERE `id` = '$UserId'");
	//关闭数据库连接
	$DataBase->close_dblink();
	//判断用户是否存在
	if(count($DataBase->Result) == 1){
		//判断是否系统管理员
		if($DataBase->Result[0]['grade'] == '0'){
			exit('Access Denied');	//系统管理员，不允许编辑
		}
		else{
			//权限分析
			$DataBase->Result[0]['power'] = AdminPowerAna($DataBase->Result[0]['power']);
			//将用户信息赋值给模板
			$smarty->assign('EditUserInfo', $DataBase->Result[0]);
		}
	}
	else{
		exit('Access Denied');	//用户不存在
	}
}
else{
	exit('Access Denied');
}

//生成input_key
$_SESSION['EdituserInputKey'] = generate_rand_string(50);
//将input_key赋值给模板
$smarty->assign('EdituserInputKey', $_SESSION['EdituserInputKey']);

?>